### Method

# Pango.Layout.set_attributes

#### Declaration [src]

    void
    pango_layout_set_attributes (
      PangoLayout* layout,
      PangoAttrList* attrs
    )

#### Description [src]

Sets the text attributes for a layout object. References `attrs`, so the caller can unref its reference.

#### Parameters

`attrs` | `PangoAttrList`
| a `PangoAttrList`, can be `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee